## nagios4 4.4.6

=== include/Makefile ===
###############################
# Makefile for Include Files
#
###############################

clean:
	rm -f *~

distclean: clean
	rm -f config.h locations.h snprintf.h

devclean: distclean

## nagios4 4.3.4

=== debian/changelog ===
nagios4 (4.3.4-3ubuntu0.1) focal; urgency=medium

  * d/p/lp1953572-Fix-inconsistent-links-for-View-Trends-Alert.patch:
    Fix broken links in the View Trends and View Histogram menus.
    (LP: #1953572)

 -- Jorge Merlino <jorge.merlino@canonical.com>  Mon, 29 Jul 2024 12:29:44 -0300

nagios4 (4.3.4-3) unstable; urgency=low

  * Fix CVE-2018-18245 (closes: #902138)
  * Fix CVE-2018-13441, CVE-2018-13457, CVE-2018-13458 (closes: #917160)
  * Removed /etc/nagios4/htdigest.users purge (closes: #905523)
  * Fix unknown RPM_ARCH (closes: #902216)

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  7 Feb 2019 19:35:53 +1000

nagios4 (4.3.4-2) unstable; urgency=low

  * Remove lookup of nagios_check_command from nagios4.init.  It
    doesn't exist in nagios4.

  * ITP (closes: #894696)

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon,  9 Apr 2018 17:20:50 +1000

=== debian/control ===
Source: nagios4
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Russell Stuart <russell-debian@stuart.id.au>
Homepage: http://www.nagios.org/
Standards-Version: 3.9.8
Build-Depends: autotools-dev,
               debhelper (>= 10),
               dpkg-dev (>= 1.13.19),
               libgd-dev (>= 2.1),
               libperl-dev,
               libpng-dev,
               po-debconf,
               unzip

Package: nagios4-common
Architecture: all
Depends: adduser,
         bsd-mailx | mailx,
         coreutils (>= 4.5.3),
         lsb-base (>= 3.0-6),
         monitoring-plugins-basic,
         ucf (>= 0.28),
         libjs-jquery,
         ${misc:Depends}
Recommends: monitoring-plugins
Description: support files for nagios4
 Nagios is a monitoring and management system for hosts, services and
 networks. This package contains files needed by both the daemon
 and web interface.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)

Package: nagios4-cgi
Architecture: any
Depends: adduser,
         apache2-utils,
         coreutils (>= 4.5.3),
         libapache2-mod-php | php | php-cgi,
         libjs-jquery,
         nagios4-common (= ${source:Version}),
         ucf (>= 0.28),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: apache2 | httpd, nagios-images (>> 0.1)
Description: cgi files for nagios4
 Nagios is a monitoring and management system for hosts, services and
 networks. This package contains the web interface.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)

Package: nagios4
Architecture: any
Depends: nagios4-cgi (= ${binary:Version}),
         nagios4-common (= ${source:Version}),
         nagios4-core (= ${binary:Version}),
         ${misc:Depends}
Suggests: nagios-nrpe-plugin
Description: host/service/network monitoring and management system
 Nagios is a monitoring and management system for hosts, services and
 networks.  This is a metapackage installing both the monitoring daemon
 and the web interface.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)

Package: nagios4-core
Architecture: any
Depends: nagios4-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: nagios-nrpe-plugin
Replaces: nagios4
Description: host/service/network monitoring and management system core files
 Nagios is a monitoring and management system for hosts, services and
 networks.  The package contains the nagios4 monitoring daemon.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)

Package: nagios4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: nagios4-core (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols and debug stuff for nagios4
 Nagios is a monitoring and management system for hosts, services and
 networks.  The package contains the debug symbols for nagios4.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)

=== debian/watch ===
version=3
http://sf.net/nagios/nagios-(4\.[0-9.]+)\.tar\.gz

## nagios4 4.4.4

=== debian/changelog ===
nagios4 (4.4.4-1~20200326160820.31+wheezy) unstable; urgency=medium

  [ Mario Fetka ]
  * bump to 4.3.4
  * Bump to 4.4.3
  * bump to 4.4.4

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 4.4.4-1 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debbuild.disconnected-by-peer.at>  Thu, 26 Mar 2020 17:08:20 +0100

nagios4 (4.3.2-1) UNRELEASED; urgency=medium

  * add nagios 3 compat paths in apache config
  * forward port 3.5.1 patches to 4.3.2
  * forward port of package losely based on
    https://launchpad.net/~grey-box/+archive/ubuntu/ppa/+files/nagios4_4.1.1-5ubuntu~precise1.tar.gz

 -- Mario Fetka <mario.fetka@gmail.com>  Fri, 19 May 2017 23:48:51 +0200

nagios3 (3.5.1.dfsg-2) unstable; urgency=medium

  * [a72437b] Make apache.conf compatible with apache 2.4.10 (Closes: #762096)
  * [99f6a27] Check for existance of files in setperm() (Closes: #683521)

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Oct 2014 11:53:19 +0200

nagios3 (3.5.1.dfsg-1) unstable; urgency=medium

  * [111b7c7] Check if apache init script exists before invoking it.
  * [3d4069b] Imported Upstream version 3.5.1.dfsg
  * [848ee55] Remove minified jquery versions and use packaged jquery
    (Closes: #737441)

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Aug 2014 11:29:32 -0700

nagios3 (3.5.1-1) unstable; urgency=medium

  * [bf5522e] Enable cgi module for apache 2.4 (Closes: #725177)
  * [744e794] Stick to 3.x for now
  * [5d1f7c2] Imported Upstream version 3.5.1
              Closes: #642515
  * [43e7d66] Remove obsolete patches
  * [65bee9b] Move to quilt
  * [77d98da] Remove dpatch dependency
  * [63dacfb] Bump standards version
  * [053130c] Take care that /var/run/nagios3 is created at boot time
  * [cfca1db] Remove leading 'a' from description
  * [057dfb9] Remove dpatch from rules file
  * [de834df] Move /var/run/nagios3 creation to initscript (Closes: #689901)
  * [ee6422c] Make 3.0 quilt more vcs friendly
  * [c88bef8] don't let nagios call home. This fixes CVE-2013-4214.
    (Closes: #719056)
  * [828c43f] Bump standards version.
  * [611d0f9] Don't ship folder in /var/run (Closes: #689901)

 -- Alexander Wirt <formorer@debian.org>  Fri, 03 Jan 2014 23:18:34 +0100

nagios3 (3.4.1-5) unstable; urgency=low

  * [8b23685] Remove obsolete webapps configuration (Closes: #714707, #714258)
  * [6abb302] Cleanup password handling
  * [e4a9bf7] Fix password handling

 -- Alexander Wirt <formorer@debian.org>  Sun, 21 Jul 2013 12:02:14 +0200

nagios3 (3.4.1-4) unstable; urgency=high

  * [cd50049] Add missing check command in initscript (Closes: #680615)
  * [77c9d0e] Fix typo in initscript
  * [a2c78a1] Stop status.cgi from listing unauthorized hosts and services in servicegroup view (CVE-2013-2214)
    Thanks to Jonas Meurer for the report and the patch (Closes: #714171)
  * [51fb59b] Backport upstream r1953 to fix downtime retention across restarts.
    Thanks to Didier 'OdyX' Raboud for the patch (Closes: #710356)
  * [c14f6cf] Deprecate Nagios1 compatible Nagios configuration
  * [bfc4c8d] Don't use files from docs/examples (Closes: #709957)
  * [abe9bc9] Update web specific packaging for apache 2.4

 -- Alexander Wirt <formorer@debian.org>  Thu, 27 Jun 2013 00:40:30 +0200

nagios3 (3.4.1-3) unstable; urgency=low

  * Fix several overflows in getcgi.cgi and history.cgi
    This is fix for CVE 2012-6096 (Closes: #697930)

 -- Alexander Wirt <formorer@debian.org>  Sun, 27 Jan 2013 19:24:49 +0100

nagios3 (3.4.1-2) unstable; urgency=low

  * [265c38d] Don't call the updatecheck on debian
  * [4550d49] Use debians jquery instead of the shipped one
  * [9976373] Remove stupid date() warning in PHP and set
              UTC as default timezone

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Jun 2012 10:44:31 +0200

nagios3 (3.4.1-1) unstable; urgency=low

  * [28e077b] Imported Upstream version 3.3.1
  * [d5314e0] don't call updatepo in clean target
  * [45b3eb9] Don't remove config foo
  * [54e3dff] Don't fix permissions in cgi postinst
  * [d7be9db] Build-depend on libpng-dev (Closes: #662441)
  * [4c47006] Add dutch po translation (Closes: #654855)
  * [2b6573b] Refresh 10_p1_pl_shebang.dpatch
  * [316fd7a] Update 40_fix_spurious_dollar_signs_added_to_command_lines
  * [5ff2780] Refresh 55_strip_logarchivepath.dpatch
  * [811d269] Refresh 60_fix_p1.pl_patch_mini_epn.dpatch
  * [39a1e9c] Remove now unneeded patch 98_fix_XSS_CVE-2011-2179
  * [785a4e8] Remove unneded patch 99_fix_XSS_CVE-2011-1523
  * [6ce98ef] Remove unneeded patchs from 00list
  * [1d18266] Imported Upstream version 3.4.0
  * [05584c8] Refresh patches
  * [58098cd] Imported Upstream version 3.4.1
  * [3e9e07a] Bump standards version
  * [fe991e2] wrap-and-sort
  * [1ba78f7] Also create /var/run/nagios in cgi package (Closes: #626854)

 -- Alexander Wirt <formorer@debian.org>  Sat, 16 Jun 2012 09:05:19 +0200

nagios3 (3.2.3-3) unstable; urgency=high

  * [9149473] Fix CVE-2011-2179: XSS via expand function in config.cgi (Closes: #629127).
  * [b5f30e1] Fix for CVE-2011-1523: XSS problem in statusmap.cgi (Closes: #629127)

 -- Alexander Wirt <formorer@debian.org>  Sat, 04 Jun 2011 20:22:20 +0200

nagios3 (3.2.3-2) unstable; urgency=low

  * Fix status function of initscript
  * Allow deconfiguration of webservers via debconf (Closes: #591786)
  * Add ExecCGI for index.php (Closes: #584696)
  * Add danish po translation (Closes: #605520)
  * Add option in default file to disable nagios3 at boottime (Closes:
    #602490)
  * [c01bde3] Enable hardening.
    Thanks to Kees Cook (Closes: #542727)

 -- Alexander Wirt <formorer@debian.org>  Sun, 22 May 2011 09:29:56 +0200

nagios3 (3.2.3-1) unstable; urgency=low

  * New upstream version
  * Remove iputils-ping from build-dep (Closes: #590552)
  * Add index.html to apache2.conf (Closes: #598859) 
  * Bump standards version (No changes)

 -- Alexander Wirt <formorer@debian.org>  Sat, 02 Oct 2010 19:01:32 +0200



=== debian/control ===
Source: nagios4
Section: net
Priority: optional
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: sean finney <seanius@debian.org>,
           Alexander Wirt <formorer@debian.org>,
           Jan Wagner <waja@cyconet.org>
Homepage: http://www.nagios.org/
Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-nagios4.git
Vcs-Git: git://git.debian.org/pkg-nagios/pkg-nagios4.git
Standards-Version: 3.9.5
Build-Depends: autotools-dev,
               debhelper (>= 7),
               dpkg-dev (>= 1.13.19),
               libgd2-noxpm-dev (>= 2.0.1) | libgd2-xpm-dev (>= 2.0.1) | libgd-dev (>= 2.0.1),
               libperl-dev,
               libpng-dev,
               po-debconf,
               unzip

Package: nagios4-common
Architecture: all
Depends: adduser,
         bsd-mailx | mailx,
         coreutils (>= 4.5.3),
         lsb-base (>= 3.0-6),
         nagios-plugins-basic,
         ucf (>= 0.28),
         ${misc:Depends},
         ${perl:Depends}
Recommends: nagios-plugins
Description: support files for nagios4
 Nagios is a monitoring and management system for hosts, services and
 networks. nagios4-common contains the common files for the nagios4 package.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 Nagios is designed to be easy to understand and modify to fit your own needs.
 .
 This package is the new version 3.x series of nagios, which replaced
 the 2.x versions.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

Package: nagios4-cgi
Architecture: any
Replaces: nagios4 (<< 4.1.0), nagios4-common (<< 4.1.0), nagios4-doc (<< 4.1.0)
Breaks: nagios4 (<< 4.1.0), nagios4-common (<< 4.1.0), nagios4-doc (<< 4.1.0)
Depends: adduser,
         apache2-utils,
         coreutils (>= 4.5.3),
         libapache2-mod-php5 | libapache2-mod-php7.0 | php7.0 |php5 | php5-cgi | php7.0-cgi,
         nagios4-common (= ${source:Version}),
         ucf (>= 0.28),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: apache2 | httpd, nagios-images (>> 0.1)
Description: cgi files for nagios4
 Nagios is a monitoring and management system for hosts, services and
 networks. nagios4-common contains the common files for the nagios4 package.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 Nagios is designed to be easy to understand and modify to fit your own needs.
 .
 This package is the new version 3.x series of nagios, which replaced
 the 2.x versions.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

Package: nagios4
Architecture: any
Depends: nagios4-cgi (= ${binary:Version}),
         nagios4-core (= ${binary:Version}),
         ${misc:Depends}
Suggests: nagios-nrpe-plugin
Description: host/service/network monitoring and management system
 Nagios is a monitoring and management system for hosts, services and
 networks.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This is a metapackage which depends on the nagios core and the webfrontend
 .
 This package is the new version 3.x series of nagios, which replaced
 the 2.x versions.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

Package: nagios4-core
Architecture: any
Depends: nagios4-common (= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: nagios-nrpe-plugin
Replaces: nagios4
Description: host/service/network monitoring and management system core files
 Nagios is a monitoring and management system for hosts, services and
 networks.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 This package included the nagios core without the webfrontend
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This package is the new version 3.x series of nagios, which replaced
 the 2.x versions.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

Package: nagios4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: documentation for nagios4
 Nagios is a monitoring and management system for hosts, services and
 networks.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This package is the new version 3.x series of nagios, which replaced
 the 2.x versions.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

Package: nagios4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: nagios4-core (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Conflicts: icinga-dbg (<= 1.0.1-2)
Description: debugging symbols and debug stuff for nagios4
 Nagios is a monitoring and management system for hosts, services and
 networks.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This package contains gdb debugging symbols for the nagios4 binaries and the
 mini_epn tool which can help in debugging Nagios problems.
 .
 Nagios is a replacement of the Netsaint project. It accepts and uses the
 previous Netsaint modules transparently.
 .
 Upstream URL: http://www.nagios.org/

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules makefile for nagios4
# Last modified:
# $Id$

# export DH_VERBOSE=1
#export DEB_BUILD_HARDENING=1

b := $(shell pwd)/debian

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# -Wall disabled until source is fixed to not print tons of warnings with it. :)
#CFLAGS = -Wall -g
CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

SHELL		= /bin/sh -e
CONFIGURE	= CFLAGS='$(CFLAGS)' ./configure --prefix=/usr \
				--mandir=/usr/share/man \
				--bindir=/usr/sbin \
				--sbindir=/usr/lib/cgi-bin/nagios4 \
				--with-cgibindir=/usr/lib/cgi-bin/nagios4 \
				--datadir=/usr/share/nagios4/htdocs \
				--sysconfdir=/etc/nagios4 \
				--infodir=/usr/share/info \
				--libexecdir=/usr/lib/nagios/plugins \
				--localstatedir=/var/lib/nagios4 \
				--enable-event-broker \
				--enable-embedded-perl \
				--with-nagios-user=nagios \
				--with-nagios-group=nagios \
				--with-command-user=nagios \
				--with-command-group=nagios \
				--with-init-dir=/etc/init.d \
				--with-lockfile=/var/run/nagios4/nagios4.pid \
				--with-mail=/usr/bin/mail \
				--with-perlcache \
				--build=$(DEB_BUILD_GNU_TYPE) \
				--host=$(DEB_HOST_GNU_TYPE) \
				--with-htmurl=/nagios4 \
				--with-cgiurl=/cgi-bin/nagios4

clean:
	dh_testdir -a
	dh_testroot -a
	if test -f Makefile; then make distclean; fi
	rm -f install-stamp configure-stamp build-stamp fix-configs-stamp
	rm -rf debian-configs
	-rm contrib/perlxsi.c
	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
	-rm -f platform.h auto-include.h
	find -type d -name build -print0 | xargs -0 -r rm -rf \;
	dh_clean

fix-configs: fix-configs-stamp
fix-configs-stamp: configure-stamp
	mkdir -p debian-configs
	sed -e '/Sample CGI/ s/\([0-9]\.[0-9]\.[0-9]\)//' \
	    -e '/Last Modified/,+1 d' \
	    sample-config/cgi.cfg > debian-configs/cgi.cfg
	sed -e '/Sample Main Config/ s/\([0-9]\.[0-9]\.[0-9]\)//' \
	    -e '/Last Modified/ d' \
	    sample-config/nagios.cfg > debian-configs/nagios.cfg
	sed -e '/SAMPLE COMMAND DEFINITIONS/ s/\([0-9]\.[0-9]\.[0-9]\)//' \
	   -e '/Last Modified/,+1 d' \
	   -e '/^#$$/ d' sample-config/template-object/commands.cfg > debian-configs/commands.cfg

configure: configure-stamp
configure-stamp:
	dh_testdir -a
	@echo "Doing $@"
	if test -f Makefile; then make clean; fi
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	rm -f config.cache
	$(CONFIGURE)
	touch configure-stamp

build-arch: build-stamp
build-indep: build-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir -a
	@echo "Doing $@"
	$(MAKE) all
	make -C contrib
	touch build-stamp

install: install-stamp
install-stamp: build-stamp fix-configs-stamp
	@echo "Doing $@"
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a -i
	# zero out INSTALL_OPTS to prevent chowning at build-time
	make install-unstripped DESTDIR=$b/tmp INSTALL_OPTS=""
	# move some arch-indep stuff to the other packages
	chgrp www-data ${b}/nagios4-common/var/cache/nagios4
	chmod g+s ${b}/nagios4-common/var/cache/nagios4
	chown root:www-data ${b}/nagios4-common/var/lib/nagios4/rw
	chmod 700 ${b}/nagios4-common/var/lib/nagios4/rw
	mv debian/tmp/usr/sbin/nagios ${b}/nagios4-core/usr/sbin/nagios4
	mv debian/tmp/usr/sbin/nagiostats ${b}/nagios4-core/usr/sbin/nagios4stats
	dh_link		     -i
	dh_lintian
	dh_installdocs       -i
	dh_installman        -a -pnagios4
	dh_installlogrotate
	dh_installchangelogs -i
	dh_install           -i
	dh_installinit 	     --name nagios4 -- defaults 30 18
	dh_installexamples
	chmod 755 ${b}/nagios4-common/var/lib/nagios4 
	rm ${b}/nagios4-common/etc/nagios4/cgi.cfg
	touch install-stamp

binary: binary-arch binary-indep
binary-arch: install-stamp
	@echo "Doing $@"
	dh_testdir           -a
	dh_testroot          -a
	dh_link		     -a
	dh_installchangelogs -a
	dh_installdocs       -a
	dh_installdebconf    -a 
	dh_install           -a
	chmod 600 ${b}/nagios4-common/etc/nagios4/resource.cfg
	# fix permissions of p1
	#chmod 755 ${b}/nagios4-core/usr/lib/nagios4/p1.pl
	mkdir -p ${b}/nagios4-dbg/usr/bin/
	#mv contrib/mini_epn ${b}/nagios4-dbg/usr/bin/mini_epn_nagios4
	dh_strip             -a  --dbg-package=nagios4-dbg
	dh_compress          -a -X.php
	dh_fixperms          -a -X/var/cache/nagios4
	dh_makeshlibs        -a -V
	dh_installdeb        -a
	dh_perl		     -a
	dh_shlibdeps         -a
	dh_gencontrol        -a
	dh_md5sums           -a
	dh_builddeb          -a

binary-indep: install-stamp
	dh_link		     -i
	dh_compress          -i
	dh_fixperms          -i -Xnagios4/resource.cfg
	dh_installdebconf    -i
	dh_perl		     -i
	dh_installdeb        -i
	dh_gencontrol        -i
	dh_md5sums           -i
	dh_builddeb          -i

.PHONY: binary-indep binary-arch build configure binary install

## nagios4 4.4.6

=== debian/changelog ===
nagios4 (4.4.6-4) unstable; urgency=low

  * Fix syntax in nagios4.service.  Closes: #986397.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed,  7 Apr 2021 20:43:46 +1000

nagios4 (4.4.6-3) unstable; urgency=low

  * Fix nagios4-ci not installing with recommends.  Closes: #985043.

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 22 Mar 2021 12:10:04 +1000

nagios4 (4.4.6-2) unstable; urgency=low

  * Source only upload for migration to testing.

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 23 Nov 2020 18:48:30 +1000

nagios4 (4.4.6-1) unstable; urgency=low

  * New release - fixes memory leak.
  * Fix bad apache2 config.  Closes: #931664
  * Don't remove js function set_limit().  Closes: #945219
  * Enable apache2 authz_groupfile on nagios4-cgi install.  Closes: #931664.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu, 20 Aug 2020 20:04:50 +1000

=== debian/control ===
Source: nagios4
Section: net
Priority: optional
Maintainer: Russell Stuart <russell-debian@stuart.id.au>
Homepage: http://www.nagios.org/
Standards-Version: 4.5.1
Build-Depends: debhelper (>= 10),
	       dh-apache2,
               dpkg-dev (>= 1.13.19),
               libgd-dev (>= 2.1),
               libperl-dev,
               libpng-dev,
               po-debconf,
               unzip

Package: nagios4-common
Architecture: all
Depends: adduser,
         bsd-mailx | mailx,
         coreutils (>= 4.5.3),
         lsb-base (>= 3.0-6),
         monitoring-plugins-basic,
         ucf (>= 0.28),
         libjs-jquery,
         ${misc:Depends}
Recommends: monitoring-plugins
Description: support files for nagios4
 Nagios is a monitoring and management system for hosts, services and
 networks. This package contains files needed by both the daemon
 and web interface.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)

Package: nagios4-cgi
Architecture: any
Depends: adduser,
         apache2-utils,
         coreutils (>= 4.5.3),
         libapache2-mod-php | php | php-cgi,
         libjs-jquery,
         nagios4-common (= ${source:Version}),
         ucf (>= 0.28),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: apache2 | httpd, nagios-images (>> 0.1)
Description: cgi files for nagios4
 Nagios is a monitoring and management system for hosts, services and
 networks. This package contains the web interface.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)

Package: nagios4
Architecture: any
Depends: nagios4-cgi (= ${binary:Version}),
         nagios4-common (= ${source:Version}),
         nagios4-core (= ${binary:Version}),
         ${misc:Depends}
Suggests: nagios-nrpe-plugin
Description: host/service/network monitoring and management system
 Nagios is a monitoring and management system for hosts, services and
 networks.  This is a metapackage installing both the monitoring daemon
 and the web interface.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)

Package: nagios4-core
Architecture: any
Depends: nagios4-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: nagios-nrpe-plugin
Replaces: nagios4
Description: host/service/network monitoring and management system core files
 Nagios is a monitoring and management system for hosts, services and
 networks.  The package contains the nagios4 monitoring daemon.
 .
 Nagios' features include:
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.)
  *  Plugin interface to allow for user-developed service checks
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method)
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution)
  *  Web output (current status, notifications, problem history, log file, etc.)

=== debian/rules ===
#!/usr/bin/make -f

b := $(shell pwd)/debian

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DPKG_BUILD_CFLAGS = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)
DPKG_BUILD_CPPFLAGS = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
DPKG_BUILD_LDFLAGS = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)

DOC_PACKAGE	= nagios4-cgi

SHELL = /bin/sh -e


get-orig-source:
	uscan --force-download

clean:
	dh_testdir -a
	if test -f Makefile; then make distclean; fi
	find sources.orig -type f | while read f; do rm "$${f#sources.orig/}" && mv "$${f}" "$${f##sources.orig/}"; done
	rm -rf sources.orig
	rm -f keep install-stamp configure-stamp build-stamp
	rm -f html/js/histogram.js html/js/map.js html/js/trends.js
	rm -f startup/default-init startup/default-service startup/openrc-init startup/upstart-init
	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
	find -type d -name build -print0 | xargs -0 -r rm -rf \;
	rm -f html/index.php lib/snprintf.h t/Makefile
	dh_clean

configure: configure-stamp
configure-stamp:
	dh_testdir -a
	if test -f Makefile; then make clean; fi
	for f in ./config.sub ./config.guess; do [ -f "sources.orig/$${f}" ] || { mkdir -p "sources.orig/$${f%/*}" && mv "$${f}" "sources.orig/$${f}"; }; done
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	rm -f config.cache
	CFLAGS='$(DPKG_BUILD_CFLAGS) $(DPKG_BUILD_CPPFLAGS)' LDFLAGS='$(DPKG_BUILD_LDFLAGS)' \
		./configure --prefix=/usr \
		--mandir=/usr/share/man \
		--bindir=/usr/sbin \
		--datadir=/usr/share/nagios4/htdocs \
		--sysconfdir=/etc/nagios4 \
		--infodir=/usr/share/info \
		--libexecdir=/usr/lib/nagios/plugins \
		--localstatedir=/var/lib/nagios4 \
		--enable-event-broker \
		--with-cgibindir=/usr/lib/cgi-bin/nagios4 \
		--with-nagios-user=nagios \
		--with-nagios-group=nagios \
		--with-command-user=nagios \
		--with-command-group=nagios \
		--with-init-dir=/etc/init.d \
		--with-lockfile=/var/run/nagios4/nagios4.pid \
		--with-mail=/usr/bin/mail \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--with-htmurl=/nagios4 \
		--with-cgiurl=/cgi-bin/nagios4
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir -a
	$(MAKE) all
	make -C contrib
	touch build-arch-stamp

install: install-stamp
install-stamp: build-stamp
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a -i
	# zero out INSTALL_OPTS to prevent chowning at build-time
	make "DESTDIR=$(b)/tmp" COMMAND_OPTS= INSTALL_OPTS= install-unstripped
	# move some arch-indep stuff to the other packages
	mv debian/tmp/usr/sbin/nagios "$(b)/nagios4-core/usr/sbin/nagios4"
	mv debian/tmp/usr/sbin/nagiostats "$(b)/nagios4-core/usr/sbin/nagios4stats"
	dh_link		     -i
	dh_lintian
	dh_installdocs       -i
	dh_installman        -a -pnagios4
	dh_installlogrotate
	dh_installchangelogs -i
	dh_install           -i
	dh_installinit 	     --name nagios4 -- defaults 30 18
	dh_installexamples
	install -D debian/nagios4-cgi.conf -m 0644 debian/nagios4-cgi/usr/share/nagios4/apache2.conf
	dh_apache2
	touch install-stamp

binary: binary-arch binary-indep
binary-arch: install-stamp
	dh_testdir           -a
	dh_testroot          -a
	dh_link		     -a
	dh_installchangelogs -a
	dh_installdocs       -a
	dh_installdebconf    -a 
	dh_install           -a
	chmod 600 ${b}/nagios4-common/etc/nagios4/resource.cfg
	x=$$(cd debian/$(DOC_PACKAGE) && find . -name 'jquery-*.min.js') && \
	    rm debian/$(DOC_PACKAGE)/$$x && \
	    dh_link -p$(DOC_PACKAGE) /usr/share/javascript/jquery/jquery.min.js $$x
	dh_strip             -a
	dh_compress          -a -X.php
	dh_fixperms          -a
	dh_makeshlibs        -a -V
	dh_installdeb        -a
	dh_perl		     -a
	dh_shlibdeps         -a
	dh_gencontrol        -a
	dh_md5sums           -a
	dh_builddeb          -a

binary-indep: install-stamp
	dh_link		     -i
	dh_compress          -i
	dh_fixperms          -i -Xnagios4/resource.cfg
	dh_installdebconf    -i
	dh_perl		     -i
	dh_installdeb        -i
	dh_gencontrol        -i
	dh_md5sums           -i
	dh_builddeb          -i

.PHONY: binary-indep binary-arch build configure binary install

## nagios4 11

=== debian/changelog ===
nagios4 (11) unstable; urgency=medium

  * Update to 4.5.3

 -- Lonlone Lee <lonlone@stanford.edu>  Thu, 01 Aug 2024 14:10:00 -0700

nagios4 (10) unstable; urgency=medium

  * Update to 4.4.6

 -- Bruce Barnes <bnbarnes@stanford.edu>  Fri, 18 Jun 2021 15:37:03 -0700

nagios4 (9) unstable; urgency=medium

  * Compiling for deployment to buster

 -- Lonlone Lee <lonlone@stanford.edu>  Fri, 29 Jan 2021 10:46:49 -0800

nagios4 (8) unstable; urgency=medium

  * remove redundnat doit file (redundant with debian/postinst

 -- Bruce Barnes <bnbarnes@stanford.edu>  Tue, 05 May 2020 15:12:34 -0700

nagios4 (7) unstable; urgency=medium

  * Let puppet create nagios user and group

 -- Bruce Barnes <bnbarnes@stanford.edu>  Tue, 05 May 2020 14:35:37 -0700

nagios4 (6) unstable; urgency=medium

  * override make install-webconf error state on retry

 -- Bruce Barnes <bnbarnes@stanford.edu>  Sun, 05 Apr 2020 19:55:57 -0700

nagios4 (5) unstable; urgency=medium

  * fix make to bash conversions

 -- Bruce Barnes <bnbarnes@stanford.edu>  Sun, 05 Apr 2020 19:21:14 -0700

nagios4 (4) unstable; urgency=medium

  * Remove control/links

 -- Bruce Barnes <bnbarnes@stanford.edu>  Sun, 05 Apr 2020 18:57:04 -0700

nagios4 (3) unstable; urgency=medium

  * Add postinst and disable rules 

 -- Bruce Barnes <bnbarnes@stanford.edu>  Sun, 05 Apr 2020 16:51:00 -0700

nagios4 (2) unstable; urgency=medium

  * Update debian ruls for building

 -- Bruce Barnes <bnbarnes@stanford.edu>  Wed, 01 Apr 2020 16:33:27 -0700

nagios4 (1) unstable; urgency=medium

  * Initial build

 -- Bruce Barnes <bnbarnes@stanford.edu>  Tue, 31 Mar 2020 15:25:34 -0700

nagios4 (0) unstable; urgency=medium

  * Non-maintainer upload.

 -- Bruce Barnes <bnbarnes@stanford.edu>  Wed, 06 Mar 2019 10:01:56 -0800

=== debian/control ===
Source: nagios4
Section: net
Priority: optional
Maintainer:  Bruce Barnes <bnbarnes@stanford.edu>
Uploaders:   Bruce Barnes <bnbarnes@stanford.edu>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: rsync
Standards-Version: 3.9.3
Vcs-Git: git@code.stanford.edu:et-iedo/debian-packages/nagios4.git
Vcs-Browser: https://code.stanford.edu/et-iedo/debian-packages/nagios4.git
Homepage: https://code.stanford.edu/et-iedo/debian-packages/nagios4


Package: nagios4
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: 
Description: Stanford Nagios Core 4.5.3 base build and install

=== debian/rules ===
#!/usr/bin/make -f

#
DH_VERBOSE = 1

VER_ROOT = nagios-4.x
VERSION = nagios-4.5.3

%:
	dh $@
